#
# Conditional build:
%bcond_without	openmp	# OpenMP support
%bcond_without	gpl2	# GPL v2+ demosaic pack
%bcond_without	gpl3	# GPL v3+ demosaic pack
%bcond_without	zlib	# ZLIB for deflated DNG format support
#
%if %{without gpl2}
%undefine	gpl3
%endif
Summary:	LibRaw - a library for reading RAW files
Summary(pl.UTF-8):	LibRaw - biblioteka do odczytu plików RAW
Name:		libraw
Version:	0.18.1
Release:	1
%if %{with gpl3}
License:	GPL v3+
%else
%if %{with gpl2}
License:	GPL v2+
%else
License:	LGPL v2.1 or CDDL v1.0
%endif
%endif
Group:		Libraries
#Source0Download: http://www.libraw.org/download#stable
Source0:	http://www.libraw.org/data/LibRaw-%{version}.tar.gz
# Source0-md5:	93d7a3fee17aa847bf976bff93cec7c7
Source1:	http://www.libraw.org/data/LibRaw-demosaic-pack-GPL2-%{version}.tar.gz
# Source1-md5:	d72112a0df65baa45254fa7517dd6e33
Source2:	http://www.libraw.org/data/LibRaw-demosaic-pack-GPL3-%{version}.tar.gz
# Source2-md5:	8242ca0eef8daadc9fa450c25ee275ba
Patch0:		%{name}-zlib.patch
URL:		http://www.libraw.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_openmp:BuildRequires:	gcc >= 6:4.2}
BuildRequires:	jasper-devel
BuildRequires:	lcms2-devel >= 2
%{?with_openmp:BuildRequires:	libgomp-devel}
BuildRequires:	libjpeg-devel >= 8
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
# zlib with pkgconfig support
%{?with_zlib:BuildRequires:	zlib-devel >= 1.2.3.3}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part
of drawbacks have already been eliminated and part will be fixed in
future. The users of the library are provided with API to be built
into their software programs.

%description -l pl.UTF-8
LibRaw to biblioteka do odczytu plików RAW uzyskanych z cyfrowych
aparatów fotograficznych (w formacie CRW/CR2, NEF, RAF, DNG i innych).

LibRaw jest oparty na kodzie źródłowym dcraw, z którego część wad
została już wyeliminowana, a część zostanie poprawiona w przyszłości.

%package samples
Summary:	LibRaw sample programs
Summary(pl.UTF-8):	Programy przykładowe do LibRaw
Group:		Applications/Graphics

%description samples
LibRaw sample programs.

%description samples -l pl.UTF-8
Programy przykładowe do LibRaw.

%package devel
Summary:	Header files for LibRaw
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibRaw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	jasper-devel
Requires:	lcms2-devel >= 2
%{?with_openmp:Requires:	libgomp-devel}
Requires:	libjpeg-devel >= 8
Requires:	libstdc++-devel
%{?with_zlib:Requires:	zlib-devel >= 1.2.3.3}

%description devel
Header files for LibRaw.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibRaw.

%package static
Summary:	Static LibRaw library
Summary(pl.UTF-8):	Statyczna biblioteka LibRaw
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibRaw library.

%description static -l pl.UTF-8
Statyczna biblioteka LibRaw.

%prep
%setup -q -n LibRaw-%{version} %{?with_gpl2:-a1} %{?with_gpl3:-a2}
%patch0 -p1

%if %{with gpl2}
for f in LibRaw-demosaic-pack-GPL2-%{version}/{COPYRIGHT,Changelog,README} ; do
	cp -p $f $(basename $f).demosaic-pack-GPL2
done
%endif
%if %{with gpl3}
for f in LibRaw-demosaic-pack-GPL3-%{version}/{COPYRIGHT,Changelog,README} ; do
	cp -p $f $(basename $f).demosaic-pack-GPL3
done
%endif

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-demosaic-pack-gpl2=%{?with_gpl2:LibRaw-demosaic-pack-GPL2-%{version}}%{!?with_gpl2:no} \
	--enable-demosaic-pack-gpl3=%{?with_gpl3:LibRaw-demosaic-pack-GPL3-%{version}}%{!?with_gpl3:no} \
	%{!?with_openmp:--disable-openmp} \
	%{?with_zlib:--enable-zlib}

%{__make} \
	%{?with_openmp:lib_libraw_la_LIBADD=-lgomp lib_libraw_r_la_LIBADD=-lgomp}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libraw*.la

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT Changelog.txt README README.demosaic-packs %{?with_gpl2:*.demosaic-pack-GPL2} %{?with_gpl3:*.demosaic-pack-GPL3}
%attr(755,root,root) %{_libdir}/libraw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libraw.so.16
%attr(755,root,root) %{_libdir}/libraw_r.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libraw_r.so.16

%files samples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/4channels
%attr(755,root,root) %{_bindir}/dcraw_emu
%attr(755,root,root) %{_bindir}/dcraw_half
%attr(755,root,root) %{_bindir}/half_mt
%attr(755,root,root) %{_bindir}/mem_image
%attr(755,root,root) %{_bindir}/multirender_test
%attr(755,root,root) %{_bindir}/postprocessing_benchmark
%attr(755,root,root) %{_bindir}/raw-identify
%attr(755,root,root) %{_bindir}/simple_dcraw
%attr(755,root,root) %{_bindir}/unprocessed_raw

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_libdir}/libraw.so
%attr(755,root,root) %{_libdir}/libraw_r.so
%{_includedir}/libraw
%{_pkgconfigdir}/libraw.pc
%{_pkgconfigdir}/libraw_r.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a
%changelog
* Sat Feb 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libraw.git;a=log;h=master

* Sat Feb 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 0cfd161
- updated to 0.18.1
- added zlib patch (to enable zlib support easier than manually adding defines and libs)

* Fri Sep 09 2016 Jakub Bogusz <qboosh@pld-linux.org> bc0abb8
- updated to 0.17.2 (strncpy bounds fix)
- removed obsolete noloncal patch

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 3d12e4b
- renamed gomp bcond to compiler-agnostic openmp

* Thu Dec 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 72963b2
- updated to 0.17.1

* Sun Nov 22 2015 Jakub Bogusz <qboosh@pld-linux.org> a45219f
- updated to 0.17.0 (note: new sonames)
- added nolocal patch (avoid especially hardcoded -L/usr/local/lib)

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> a19b3c8
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> ecc4005
- explicit demosaic packs paths to avoid scanning whole rpm/BUILD dir by configure
- restored soname tracking (there WAS soname change between 0.14.7 and 0.15.4)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> d03a526
- up to 0.15.4

* Sat Sep 22 2012 Jakub Bogusz <qboosh@pld-linux.org> a2be4f4
- added GPLed demosaic-packs

* Sat Sep 22 2012 Jakub Bogusz <qboosh@pld-linux.org> dcb381e
- noted download URL

* Sat Sep 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 7a472ef
- pl
- gomp bcond

* Fri Sep 21 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 696c095
- libraw-devel R: libraw

* Fri Sep 21 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 2071f71
- Version: 0.14.7

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 3582f39
- BR: libstdc++-devel

* Tue Nov 23 2010 Caleb Maclennan <caleb@alerque.com> 8b3ded3
- Up to 0.11.3

* Mon Sep 06 2010 Jacek Konieczny <jajcus@pld-linux.org> a20b088
- Version: 0.10.0 (stable)
- pkgconfig files included
- static libraries moved to -devel, as these are the only available
- samples moved to -samples subpackage

* Mon Sep 06 2010 Jacek Konieczny <jajcus@pld-linux.org> 815c496
- pkgconfig files from gentoo
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/media-libs/libraw/files/libraw-0.9.1-pkg-config.patch?view=markup

* Mon Aug 02 2010 Caleb Maclennan <caleb@alerque.com> a9095c7
- Up to 0.10.0-Beta3, NFY

* Mon Aug 02 2010 Caleb Maclennan <caleb@alerque.com> 029e7ab
- Initial add, NFY

